Subject: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Robert Marshall <[email-masked]>
Date: Sat, 22 Mar 2014 11:35:59 +0000

martin rudalics writes:
 >  > 1) Put Emacs in the maximized state, or whatever is that is giving
 >  > trouble (just one frame).
 > 
 > I don't understand - was it Robert's problem that he wanted to save the
 > Emacs desktop with a maximized frame?  I only thought that _after
 > restoring_ the desktop, maximizing the frame didn't restore minibuffer
 > and title line.
 > 
 > So unless Robert says that this is the problem let's skip (1).
 > 

You're correct, I was never attempting to save emacs' state with it maximised
so (1) can be skipped.

>  > 2) Exit Emacs (saving the desktop)
 >  > 3) Copy the "(setq desktop-saved-frameset ...)" line from .emacs.desktop
 >  > 4) emacs -Q
 > 
 > Robert please try here both variants with and without -Q so we can see
 > whether something in your .emacs has any impact.
 > 

OK, I'm having problems at the moment getting it to replicate either
with a -Q -l loading:
     (desktop-save-mode 1)
     (setq desktop-save nil) ;; so that the desktop which was giving probs is kept!
     (desktop-read "/home/robert/tmp")

or with my normal .emacs will let you know when I manage to generate
the same problem again!

Robert
-- 
Robert Marshall